MNTVA(4)

NAME
mntva - MNTMN VA2000 graphics card driver

SYNOPSIS
mntva* at zbus0
options MNTVA_CONSOLE

DESCRIPTION
The mntva driver provides support for the MNTMN VA2000 graphics card and provides an interface for the machine independent wscons(4) driver.

The VA2000 integrated blitter engine is used to accelerate some of the text mode drawing operations, like copying rows and columns.

The X11 server is supported via the wsfb(4) driver.

SEE ALSO
wscons(4), wsdisplay(4)

HISTORY
The mntva device first appeared in NetBSD 8.0.

AUTHORS
-nosplit The mntva driver was written by Lukas F. Hartmann <lukas@mnt.mn> and Radoslaw Kujawa <radoslaw.kujawa@gmail.com>.

CAVEATS
There is no way to detect whether the card is used as a console. Therefore, the user has to explicitly set the MNTVA_CONSOLE option in the kernel config file.

Currently, the video mode is hard-coded to 1280x720 at 16 bpp.

BUGS
None known.